{
    attributes = (
        {
            allowsNull = Y; 
            columnName = CREDITS; 
            externalType = NUMBER; 
            name = credits; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETAT; 
            externalType = NUMBER; 
            name = etat; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ETAT_TYPE"; 
            externalType = NUMBER; 
            name = etatType; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ETUD_NUMERO"; 
            externalType = NUMBER; 
            name = etudNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FANN_KEY"; 
            externalType = NUMBER; 
            name = fannKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FDIP_ABREVIATION"; 
            externalType = VARCHAR2; 
            name = fdipAbreviation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FDOM_CODE"; 
            externalType = VARCHAR2; 
            name = fdomCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FGRA_CODE"; 
            externalType = VARCHAR2; 
            name = fgraCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "FSPN_KEY"; 
            externalType = NUMBER; 
            name = fspnKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "HIST_NUMERO"; 
            externalType = NUMBER; 
            name = histNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IDIPL_ANNEE_SUIVIE"; 
            externalType = NUMBER; 
            name = idiplAnneeSuivie; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IDIPL_NUMERO"; 
            externalType = NUMBER; 
            name = idiplNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = NIVEAU; 
            externalType = VARCHAR2; 
            name = niveauDetail; 
            valueClassName = NSString; 
            valueType = S; 
            width = 49; 
        }
    ); 
    attributesUsedForLocking = (
        credits, 
        etat, 
        etatType, 
        etudNumero, 
        fannKey, 
        fdipAbreviation, 
        fdomCode, 
        fgraCode, 
        fspnKey, 
        histNumero, 
        idiplAnneeSuivie, 
        idiplNumero, 
        niveauDetail
    ); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EOVWebInscriptionResultat"; 
    classProperties = (
        credits, 
        etat, 
        etatType, 
        etudNumero, 
        fdipAbreviation, 
        fgraCode, 
        histNumero, 
        idiplAnneeSuivie, 
        niveauDetail, 
        "toFwkScolarite_ScolFormationAnnee", 
        "toFwkScolarite_ScolFormationSpecialisation", 
        toInscDipl
    ); 
    externalName = "GARNUCHE.V_WEB_INSCRIPTION_RESULTAT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EOVWebInscriptionResultat"; 
    }; 
    isReadOnly = Y; 
    name = "FwkScolarix_VWebInscriptionResultat"; 
    primaryKeyAttributes = (idiplNumero, niveauDetail); 
    relationships = (
        {
            destination = "FwkScolarite_ScolFormationAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = "toFwkScolarite_ScolFormationAnnee"; 
        }, 
        {
            destination = "FwkScolarite_ScolFormationSpecialisation"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fspnKey; sourceAttribute = fspnKey; }); 
            name = "toFwkScolarite_ScolFormationSpecialisation"; 
        }, 
        {
            destination = "FwkScolarix_InscDipl"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }); 
            name = toInscDipl; 
        }
    ); 
}
